
From: Con Kolivas <kernel@kolivas.org>

Timeslice proportion has been increased substantially for -niced tasks.  As
a result of this kernel threads have much larger timeslices than they
previously had.

Change kernel threads' nice value to -5 to bring their timeslice back in
line with previous behaviour.  This means kernel threads will be less
likely to cause large latencies under periods of system stress for normal
nice 0 tasks.

Signed-off-by: Con Kolivas <kernel@kolivas.org>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/workqueue.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/workqueue.c~sched-alter_kthread_prio kernel/workqueue.c
--- 25/kernel/workqueue.c~sched-alter_kthread_prio	2004-11-07 16:19:42.417969248 -0800
+++ 25-akpm/kernel/workqueue.c	2004-11-07 16:19:42.421968640 -0800
@@ -188,7 +188,7 @@ static int worker_thread(void *__cwq)
 
 	current->flags |= PF_NOFREEZE;
 
-	set_user_nice(current, -10);
+	set_user_nice(current, -5);
 
 	/* Block and flush all signals */
 	sigfillset(&blocked);
_
